from random import seed, gauss
import matplotlib.pyplot as plt
from mpl_toolkits.mplot3d import axes3d

fig = plt.figure()
ax = plt.axes(projection="3d")
seed()
nombres = [gauss(150,50) for _ in range (300) ]
# répartir les n éléments sur 11 intervalles [0 à 300]
z = [ 0 for i in range(11) ] # nombre d'éléments par intervalle
for n in nombres:
    intervalle = int(n//30) # 300//30 -> 10 intervalle auquel appartient ce nombre
    z[intervalle] += 1 
        
x = [i for i in range(11)] # numéro de l'intervalle
y = [ 0 for _ in range(11) ]


ax.scatter(x,y,z,color='r')
ax.set_xlabel('X Axes')
ax.set_ylabel('Y Axes')

plt.show()