"""
Déterminer une famille avec l'algorithme des K plus proches voisins
"""
import pandas
# ======================================================================= distance_manhattan
def distance_manhattan ( inconnu:tuple, point:tuple)-> int :
    """ Détermine la distance de manhattan entre l'inconnu et un élément 
    entrée : inconnu ->(x, y, z ) caractéristiques de l'inconnu
     point -> (x, y ,z) caractéristiques d'un joueur 
    sortie : distance de manhattan entre le joueur et l'inconnu
    """
    pass # retourner la distance entre l'inconnu et le joueur
# ======================================================================= algo_knn
def algo_knn ( inconnu:tuple, individus:list, k:int=5 ) -> str :
    """
    Algorithme des KNN : K plus proches voisins
    Déterminer la famille la lus appropriée en fonction des caractéristiques
    de force, vitesse et ruse des individus à proximité
    entrées : inconnu-> caratéristiques de l'inconnu (force, vitesse, ruse)
             individus->liste des individus du jeu (force, vitesse, ruse, famille)
             k -> nombre d'individus à prendre en considération
    sortie : la famille dont l'individu est le plus "proche"
    """
    # compter le nombre de joueurs 
    # créer une liste secondaire [distance, index du joueur]
    # calculer la distance pour chaque joueur -> [ distance, index dans la liste]
    # trier la liste [distance, index] (par défaut sur le premier champ)
    
    # ne retenir que les K premiers index de la liste
    
    # Pour les k joueurs retenus -> compter nbre joueurs / catégorie
    
    # Afficher le résultat

    # retourner la famille à laquelle appartient l'inconnu

# ======================================================================
individus=pandas.read_csv("Mon_Jeu.csv") # lire les données
forces=individus.loc[:,"force"]
vitesses=individus.loc[:,"vitesse"]
ruses=individus.loc[:,"ruse"]
familles=individus.loc[:,"famille"]
# Créer la liste des individus enregistrés
liste_joueurs=[list(forces), list(vitesses), list(ruses), list(familles) ]

inconnu = (170, 220, 185 )   # (force, vitesse, ruse) : inconnu à classer

famille = algo_knn ( inconnu, liste_joueurs, k=8 )
print("La famille retenue est la famille :", famille)
